Occurrence (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class Occurrence

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.Occurrence

- All Implemented Interfaces:
    Serializable, FetchingElement

      @Entity
      public class Occurrence
      extends Object
      implements Serializable, FetchingElement

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `author`
    `static String` | `AUTHOR`
    `static String` | `BASIS_OF_RECORD`
    `protected String` | `basisOfRecord`
    `static String` | `CATALOGUE_NUMBER`
    `protected String` | `catalogueNumber`
    `protected String` | `citation`
    `static String` | `CITATION`
    `static String` | `COLLECTION_CODE`
    `protected String` | `collectionCode`
    `static String` | `COORDINATE_INMETERS`
    `protected String` | `coordinateUncertaintyInMeters`
    `protected String` | `country`
    `static String` | `COUNTRY`
    `protected String` | `credits`
    `static String` | `CREDITS`
    `protected String` | `dataProvider`
    `static String` | `DATAPROVIDER`
    `protected String` | `dataSet`
    `static String` | `DATASET`
    `protected String` | `dataSource`
    `static String` | `DATASOURCE`
    `static String` | `DECIMAL_LATITUDE`
    `static String` | `DECIMAL_LONGITUDE`
    `protected String` | `decimalLatitude`
    `protected String` | `decimalLongitude`
    `static String` | `EVENT_DATE`
    `protected String` | `eventDate`
    `static String` | `EXISTS_PROPERTIES`
    `protected boolean` | `existsProperties`
    `protected String` | `family`
    `static String` | `FAMILY`
    `protected int` | `id`
    `static String` | `ID_FIELD`
    `static String` | `INSTITUTE_CODE`
    `protected String` | `institutionCode`
    `protected String` | `kingdom`
    `static String` | `KINGDOM`
    `protected String` | `locality`
    `static String` | `LOCALITY`
    `protected String` | `lsid`
    `static String` | `LSID`
    `static String` | `MAX_DEPTH`
    `protected String` | `maxDepth`
    `static String` | `MIN_DEPTH`
    `protected String` | `minDepth`
    `protected String` | `modified`
    `static String` | `MODIFIED`
    `protected List<ItemParameter>` | `properties`
    `static String` | `PROPERTIES`
    `static String` | `RECORD_BY`
    `protected String` | `recordedBy`
    `protected String` | `scientificName`
    `static String` | `SCIENTIFICNAME`
    `protected static long` | `serialVersionUID`
    `static String` | `SERVICE_ID_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Occurrence()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthor()`
    `String` | `getBasisOfRecord()`
    `String` | `getCatalogueNumber()`
    `String` | `getCitation()`
    `String` | `getCollectionCode()`
    `String` | `getCoordinateUncertaintyInMeters()`
    `String` | `getCountry()`
    `String` | `getCredits()`
    `String` | `getDataProvider()`
    `String` | `getDataSet()`
    `String` | `getDataSource()`
    `String` | `getDecimalLatitude()`
    `String` | `getDecimalLongitude()`
    `String` | `getEventDate()`
    `String` | `getFamily()`
    `int` | `getId()`
    `String` | `getInstitutionCode()`
    `String` | `getKingdom()`
    `String` | `getLocality()`
    `String` | `getLsid()`
    `String` | `getMaxDepth()`
    `String` | `getMinDepth()`
    `String` | `getModified()`
    `List<ItemParameter>` | `getProperties()`
    `String` | `getRecordedBy()`
    `String` | `getScientificName()`
    `String` | `getServiceId()`
    `void` | `setAuthor(String author)`
    `void` | `setBasisOfRecord(String basisOfRecord)`
    `void` | `setCatalogueNumber(String catalogueNumber)`
    `void` | `setCitation(String citation)`
    `void` | `setCollectionCode(String collectionCode)`
    `void` | `setCoordinateUncertaintyInMeters(String coordinateUncertaintyInMeters)`
    `void` | `setCountry(String country)`
    `void` | `setCredits(String credits)`
    `void` | `setDataProvider(String dataProvider)`
    `void` | `setDataSet(String dataSet)`
    `void` | `setDataSource(String dataSource)`
    `void` | `setDecimalLatitude(String decimalLatitude)`
    `void` | `setDecimalLongitude(String decimalLongitude)`
    `void` | `setEventDate(String eventDate)`
    `void` | `setExistsProperties(boolean b)`
    `void` | `setFamily(String family)`
    `void` | `setId(int id)`
    `void` | `setInstitutionCode(String institutionCode)`
    `void` | `setKingdom(String kingdom)`
    `void` | `setLocality(String locality)`
    `void` | `setLsid(String lsid)`
    `void` | `setMaxDepth(String maxDepth)`
    `void` | `setMinDepth(String minDepth)`
    `void` | `setModified(String modified)`
    `void` | `setProperties(List<ItemParameter> properties)`
    `void` | `setRecordedBy(String recordedBy)`
    `void` | `setScientificName(String scientificName)`
    `void` | `setServiceId(String serviceIdField)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          protected static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### ID_FIELD

          public static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### INSTITUTE_CODE

          public static final String INSTITUTE_CODE

      See Also:
        Constant Field Values

    - #### COLLECTION_CODE

          public static final String COLLECTION_CODE

      See Also:
        Constant Field Values

    - #### CATALOGUE_NUMBER

          public static final String CATALOGUE_NUMBER

      See Also:
        Constant Field Values

    - #### RECORD_BY

          public static final String RECORD_BY

      See Also:
        Constant Field Values

    - #### EVENT_DATE

          public static final String EVENT_DATE

      See Also:
        Constant Field Values

    - #### MODIFIED

          public static final String MODIFIED

      See Also:
        Constant Field Values

    - #### SCIENTIFICNAME

          public static final String SCIENTIFICNAME

      See Also:
        Constant Field Values

    - #### KINGDOM

          public static final String KINGDOM

      See Also:
        Constant Field Values

    - #### FAMILY

          public static final String FAMILY

      See Also:
        Constant Field Values

    - #### LOCALITY

          public static final String LOCALITY

      See Also:
        Constant Field Values

    - #### COUNTRY

          public static final String COUNTRY

      See Also:
        Constant Field Values

    - #### CITATION

          public static final String CITATION

      See Also:
        Constant Field Values

    - #### DECIMAL_LATITUDE

          public static final String DECIMAL_LATITUDE

      See Also:
        Constant Field Values

    - #### DECIMAL_LONGITUDE

          public static final String DECIMAL_LONGITUDE

      See Also:
        Constant Field Values

    - #### BASIS_OF_RECORD

          public static final String BASIS_OF_RECORD

      See Also:
        Constant Field Values

    - #### COORDINATE_INMETERS

          public static final String COORDINATE_INMETERS

      See Also:
        Constant Field Values

    - #### MAX_DEPTH

          public static final String MAX_DEPTH

      See Also:
        Constant Field Values

    - #### MIN_DEPTH

          public static final String MIN_DEPTH

      See Also:
        Constant Field Values

    - #### DATAPROVIDER

          public static final String DATAPROVIDER

      See Also:
        Constant Field Values

    - #### DATASET

          public static final String DATASET

      See Also:
        Constant Field Values

    - #### DATASOURCE

          public static final String DATASOURCE

      See Also:
        Constant Field Values

    - #### SERVICE_ID_FIELD

          public static final String SERVICE_ID_FIELD

      See Also:
        Constant Field Values

    - #### AUTHOR

          public static final String AUTHOR

      See Also:
        Constant Field Values

    - #### CREDITS

          public static final String CREDITS

      See Also:
        Constant Field Values

    - #### LSID

          public static final String LSID

      See Also:
        Constant Field Values

    - #### PROPERTIES

          public static final String PROPERTIES

      See Also:
        Constant Field Values

    - #### EXISTS_PROPERTIES

          public static final String EXISTS_PROPERTIES

      See Also:
        Constant Field Values

    - #### id

          protected int id

    - #### institutionCode

          protected String institutionCode

    - #### collectionCode

          protected String collectionCode

    - #### catalogueNumber

          protected String catalogueNumber

    - #### recordedBy

          protected String recordedBy

    - #### eventDate

          protected String eventDate

    - #### modified

          protected String modified

    - #### scientificName

          protected String scientificName

    - #### kingdom

          protected String kingdom

    - #### family

          protected String family

    - #### locality

          protected String locality

    - #### country

          protected String country

    - #### citation

          protected String citation

    - #### decimalLatitude

          protected String decimalLatitude

    - #### decimalLongitude

          protected String decimalLongitude

    - #### coordinateUncertaintyInMeters

          protected String coordinateUncertaintyInMeters

    - #### maxDepth

          protected String maxDepth

    - #### minDepth

          protected String minDepth

    - #### basisOfRecord

          protected String basisOfRecord

    - #### dataProvider

          protected String dataProvider

    - #### dataSet

          protected String dataSet

    - #### dataSource

          protected String dataSource

    - #### author

          protected String author

    - #### credits

          protected String credits

    - #### lsid

          protected String lsid

    - #### properties

          protected List<ItemParameter> properties

    - #### existsProperties

          protected boolean existsProperties

  - ### Constructor Detail

    - #### Occurrence

          public Occurrence()

  - ### Method Detail

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `FetchingElement`
      Returns:
        the id

    - #### setId

          public void setId(int id)

      Parameters:
        `id` - the id to set

    - #### getInstitutionCode

          public String getInstitutionCode()

      Returns:
        the institutionCode

    - #### setInstitutionCode

          public void setInstitutionCode(String institutionCode)

      Parameters:
        `institutionCode` - the institutionCode to set

    - #### getCollectionCode

          public String getCollectionCode()

      Returns:
        the collectionCode

    - #### setCollectionCode

          public void setCollectionCode(String collectionCode)

      Parameters:
        `collectionCode` - the collectionCode to set

    - #### getCatalogueNumber

          public String getCatalogueNumber()

      Returns:
        the catalogueNumber

    - #### setCatalogueNumber

          public void setCatalogueNumber(String catalogueNumber)

      Parameters:
        `catalogueNumber` - the catalogueNumber to set

    - #### getRecordedBy

          public String getRecordedBy()

      Returns:
        the recordedBy

    - #### setRecordedBy

          public void setRecordedBy(String recordedBy)

      Parameters:
        `recordedBy` - the recordedBy to set

    - #### getEventDate

          public String getEventDate()

      Returns:
        the eventDate

    - #### setEventDate

          public void setEventDate(String eventDate)

      Parameters:
        `eventDate` - the eventDate to set

    - #### getModified

          public String getModified()

      Returns:
        the modified

    - #### setModified

          public void setModified(String modified)

      Parameters:
        `modified` - the modified to set

    - #### getScientificName

          public String getScientificName()

      Returns:
        the scientificName

    - #### setScientificName

          public void setScientificName(String scientificName)

      Parameters:
        `scientificName` - the scientificName to set

    - #### getKingdom

          public String getKingdom()

      Returns:
        the kingdom

    - #### setKingdom

          public void setKingdom(String kingdom)

      Parameters:
        `kingdom` - the kingdom to set

    - #### getFamily

          public String getFamily()

      Returns:
        the family

    - #### setFamily

          public void setFamily(String family)

      Parameters:
        `family` - the family to set

    - #### getLocality

          public String getLocality()

      Returns:
        the locality

    - #### setLocality

          public void setLocality(String locality)

      Parameters:
        `locality` - the locality to set

    - #### getCountry

          public String getCountry()

      Returns:
        the country

    - #### setCountry

          public void setCountry(String country)

      Parameters:
        `country` - the country to set

    - #### getCitation

          public String getCitation()

      Returns:
        the citation

    - #### setCitation

          public void setCitation(String citation)

      Parameters:
        `citation` - the citation to set

    - #### getDecimalLatitude

          public String getDecimalLatitude()

      Returns:
        the decimalLatitude

    - #### setDecimalLatitude

          public void setDecimalLatitude(String decimalLatitude)

      Parameters:
        `decimalLatitude` - the decimalLatitude to set

    - #### getDecimalLongitude

          public String getDecimalLongitude()

      Returns:
        the decimalLongitude

    - #### setDecimalLongitude

          public void setDecimalLongitude(String decimalLongitude)

      Parameters:
        `decimalLongitude` - the decimalLongitude to set

    - #### getCoordinateUncertaintyInMeters

          public String getCoordinateUncertaintyInMeters()

      Returns:
        the coordinateUncertaintyInMeters

    - #### setCoordinateUncertaintyInMeters

          public void setCoordinateUncertaintyInMeters(String coordinateUncertaintyInMeters)

      Parameters:
        `coordinateUncertaintyInMeters` - the coordinateUncertaintyInMeters to set

    - #### getMaxDepth

          public String getMaxDepth()

      Returns:
        the maxDepth

    - #### setMaxDepth

          public void setMaxDepth(String maxDepth)

      Parameters:
        `maxDepth` - the maxDepth to set

    - #### getMinDepth

          public String getMinDepth()

      Returns:
        the minDepth

    - #### setMinDepth

          public void setMinDepth(String minDepth)

      Parameters:
        `minDepth` - the minDepth to set

    - #### getBasisOfRecord

          public String getBasisOfRecord()

      Returns:
        the basisOfRecord

    - #### setBasisOfRecord

          public void setBasisOfRecord(String basisOfRecord)

      Parameters:
        `basisOfRecord` - the basisOfRecord to set

    - #### getServiceId

          public String getServiceId()

    - #### setServiceId

          public void setServiceId(String serviceIdField)

    - #### setDataProvider

          public void setDataProvider(String dataProvider)

    - #### getDataSet

          public String getDataSet()

    - #### setDataSet

          public void setDataSet(String dataSet)

    - #### getDataSource

          public String getDataSource()

    - #### setDataSource

          public void setDataSource(String dataSource)

    - #### getDataProvider

          public String getDataProvider()

    - #### getAuthor

          public String getAuthor()

    - #### setAuthor

          public void setAuthor(String author)

    - #### getCredits

          public String getCredits()

    - #### setCredits

          public void setCredits(String credits)

    - #### getLsid

          public String getLsid()

    - #### setLsid

          public void setLsid(String lsid)

    - #### setExistsProperties

          public void setExistsProperties(boolean b)

    - #### getProperties

          public List<ItemParameter> getProperties()

    - #### setProperties

          public void setProperties(List<ItemParameter> properties)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.